<!DOCTYPE html>
<html lang="">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width,initial-scale=1.0">
  <link rel="icon" href="https://gitlab.com/multi-coop/datami/-/raw/main/public/logo-DATAMI-favicon.ico">
  <title>PING / tiers lieux</title>
</head>

<body style="background-color: #D7D7D7; padding: 1em;">
  <noscript>
    <strong>We're sorry but <%= htmlWebpackPlugin.options.title %> doesn't work properly without JavaScript enabled.
      Please enable it to continue.</strong>
  </noscript>

  <h2 id="title-demo" class="pt-6 title is-flex is-align-items-center is-justify-content-center has-text-white">
    <p>
      <a href="https://gitlab.com/multi-coop/datami" target="_blank">
        <img src="https://gitlab.com/multi-coop/datami/-/raw/main/public/logo_DATAMI_title.png" alt="logo datami" style="height: 50px !important; width: auto !important">
      </a>
    </p>
  </h2>
  
  <div class="container has-text-dark">

    <div style="background-color: white; margin: 1em;">

      <!-- DATAMI - contribute with GIT ...but without minding it-->
      <!-- An open source widget coded with 🤍  by the tech cooperative multi : https://multi.coop -->

      <!-- DATAMI WIDGET'S HTML BLOCK-->
      <datami-multi-files
        title="Tiers lieux en Pays de la Loire"
        options='{
          "display": "horizontal"
        }'
        gitfiles='[
          {
            "title": "RFFLabs : base de données tiers-lieux",
            "activate": true,
            "gitfile": "http://localhost:8810/statics/csv/export-rfflabs.csv",
            "gitfile_": "https://gitlab.com/multi-coop/datami-project/datami-clients/datami-rfflabs/blob/main/csv/export-rfflabs.csv",
            "default-tab": true,
            "options": {
              "height": "600px",
              "separator": ",",
              "lockcolumns": true,
              "customfilters": {
                "activate": true,
                "filterfields": [
                  {
                    "name": "SOURCE_codes",
                    "filtering": "OR"
                  },
                  {
                    "name": "PUBLICS",
                    "filtering": "OR"
                  },
                  {
                    "name": "CONCAT_TYPO",
                    "filtering": "OR"
                  }
                ]
              },
              "schema": {
                "file": "http://localhost:8810/statics/json/rfflabs-schema.json",
                "file_": "https://gitlab.com/multi-coop/datami-project/datami-clients/datami-rfflabs/blob/main/json/rfflabs-schema.json"
              },
              "fields-custom-properties": {
                "file": "http://localhost:8810/statics/json/rfflabs-fields-custom-props.json",
                "file_": "https://gitlab.com/multi-coop/datami-project/datami-clients/datami-rfflabs/blob/main/json/rfflabs-fields-custom-props.json"
              },
              "cardsview": {
                "activate": true,
                "default": false
              },
              "cardsdetail": true,
              "cardssettings": {
                "mini": {
                  "NOM DU LIEU": {
                    "position": "title"
                  },
                  "LOGO": {
                    "position": "logo"
                  },
                  "IMAGE": {
                    "position": "image"
                  },
                  "ADRESSE": {
                    "position": "adress"
                  },
                  "DESCRIPTION": {
                    "position": "resume"
                  }
                },
                "detail": {
                  "NOM DU LIEU": {
                    "position": "title"
                  },
                  "LOGO": {
                    "position": "logo"
                  },
                  "IMAGE": {
                    "position": "image"
                  },
                  "ADRESSE": {
                    "position": "adress"
                  },
                  "DESCRIPTION": {
                    "position": "description",
                    "block_title": "Description"
                  },
                  "DEPARTEMENT": {
                    "position": "tags",
                    "block_title": "Département(s)"
                  },
                  "COMMUNE": {
                    "position": "tags",
                    "block_title": "Commune",
                    "right": true
                  },
                  "CONCAT_TYPO": {
                    "position": "tags",
                    "block_title": "Typologie d&lsquo;usage",
                    "right": true
                  },
                  "PUBLICS": {
                    "position": "tags",
                    "block_title": "Type de public",
                    "right": true
                  },
                  "URL": {
                    "position": "links",
                    "block_title": "Lien vers le site du lieu",
                    "right": true
                  }
                },
                "templates": {
                  "siren": {
                    "use_on_mini": true,
                    "use_on_detail": true,
                    "paragraphs": [
                      {
                        "text": {
                          "fr": "L‘organisation {{ nom }} est une {{ type }} et se situe dans le département {{ depcode }} ({{ dep_label }}) en région {{ reg_code_short }}."
                        }
                      },
                      {
                        "text": {
                          "fr": "Cette commune représente une population de {{ pop_insee }} habitants."
                        }
                      },
                      {
                        "text": {
                          "fr": "{{ nom }} publie sur {{ merge }} avec une plateforme de type {{ platform_clean }}."
                        }
                      },
                      {
                        "text": {
                          "fr": "Cette organisation a publié {{ nb_ptf }} jeux de données sur sa plateforme et {{ nb_datagouv }} jeux sur data.gouv.fr."
                        }
                      },
                      {
                        "text": {
                          "fr": "Plus d‘infos en cliquant sur ici : ~~ url_ptf ~~"
                        }
                      }
                    ]
                  }
                },
                "minimap": {
                  "activate": true,
                  "right_side": true,
                  "mapOptions": {
                    "zoom": 5,
                    "maxZoom": 18,
                    "minZoom": 2,
                    "item_geo_fields": {
                      "latitude": "latitude",
                      "longitude": "longitude"
                    },
                    "zoom_item": 13,
                    "marker_icon": "map-marker",
                    "marker_height": 45,
                    "marker_width": 45,
                    "marker_color": "#4a4a4a"
                  }
                }
              },
              "datavizview": {
                "activate": true,
                "default": false,
                "file": "http://localhost:8810/statics/json/rfflabs-dataviz-settings.json",
                "file_": "https://gitlab.com/multi-coop/datami-project/datami-clients/datami-rfflabs/blob/main/json/rfflabs-dataviz-settings.json"
              },
              "mapview": {
                "activate": true,
                "default": true,
                "maps": [
                  {
                    "title": {
                      "fr": "CARTOGRAPHIE"
                    },
                    "height": 800,
                    "cols": 12,
                    "file": "http://localhost:8810/statics/json/rfflabs-map-settings.json",
                    "file_": "https://gitlab.com/multi-coop/datami-project/datami-clients/datami-rfflabs/blob/main/json/rfflabs-map-settings.json"
                  }
                ]
              }
            },
            "usertoken": ""
          },
          {
            "title": "Schéma des données",
            "activate": true,
            "default-tab": false,
            "gitfile": "http://localhost:8810/statics/json/rfflabs-schema.json",
            "gitfile_": "https://gitlab.com/multi-coop/datami-project/datami-clients/datami-rfflabs/blob/main/json/rfflabs-schema.json",
            "options": {
              "defaultDepth": 2,
              "allowKeyEdit": true
            },
            "onlypreview": false,
            "usertoken": ""
          }
        ]'
        locale="fr"
      />

      <!-- DATAMI WIDGET'S APP.JS SCRIPT -->
      <!-- <script src="https://datami-widget.multi.coop/js/app.js" type="text/javascript" defer></script> -->
      <script src="http://localhost:8080/js/app.js" type="text/javascript" defer></script>

    </div>

    <div class="content my-6 px-6">
      <p class="is-size-6">
        L'import du widget <code>Datami</code> dans une page html permet d'afficher sur un site tiers des données hébergées sur github, gitlab ou dans un wiki.
      </p>
      <p class="">
        L'import du widget consiste à simplement copier-coller quelques lignes de code dans la page html de votre choix.
      </p>
      <p class="">
        Le widget est paramétrable et il peut être utilisé indistinctement et séparément pour différents jeux de données.
      </p>
      <p class="">
        Le widget est sous licence libre et il n'y a aucun coût ou surcoût dans l'utilisation du widget.
      </p>
      <p class="">
        Plusieurs fonctionnalités sont intégrées au widget Datami : 
        <ul>
          <li class="">
            Filtres de sélection (paramétrables) ;
          </li>
          <li class="">
            Redirection vers le site source depuis les fiches détaillées ;
          </li>
          <li class="">
            Rechargement des données source ;
          </li>
          <li class="">
            Possibilité de télécharger les données au format .tsv ;
          </li>
          <li class="">
            ...et bien plus encore. Plus de d'infos dans la 
            <a href="https://datami-docs.multi.coop" target="_blank" class="is-underlined">
              documentation en ligne.
            </a>
          </li>
        </ul>
      </p>
    </div>

    <p id="page-credits" class="mt-6 has-text-centered has-text-white">
      Un projet numérique en partenariat avec
      <a href="https://pingbase.net" target="_blank" class="has-text-white is-underlined">
        PING
      </a>
      <br>
      Codé par la coopérative numérique 
      <a href="https://multi.coop" target="_blank" class="has-text-white is-underlined">
        multi
      </a>
    </p>
  </div>
</body>

</html>
